notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Want a good monitor light? See my photosAll times are UTC
Ukraine
This referral link gives you 10% off a Fastmail.com account and gives me a discount on my Fastmail account.
New feature planned: get notified when the package is available. Now is the time to contribute ideas/suggestions.
non port: graphics/gstreamer-plugins-opencv/Makefile

Number of commits found: 16

Sunday, 31 Jan 2021
16:32 tcberner search for other commits by this committer
graphics/gstreamer*-plugins-opencv: fix fallout form OpenCV-4.5.1 upgrade

* graphics/gstreamer-plugins-opencv: disabled, as it uses the no longer shipped
OpenCV-1.0 API
* graphics/gstreamer1-plugins-opencv: fix the configure script to not only look
for OpenCV4 <= 4.2.0
  => this will be properly fixed with the next upgrade of gstreamer when
switching to the meson
  build system.

PR:		253118
Submitted by:	VVD <vvd@unislabs.com>
Reported by:	rhurlin, fluffy, VVD <vvd@unislabs.com>
Original commitRevision:563495 
Saturday, 30 Jan 2021
18:08 tcberner search for other commits by this committer
graphics/opencv: update to 4.5.1 -- and make port more easily maintainable

This is a major upgrade from 3.x to 4.x.

Changelog from versions 3.4.1--4.5.1 can be found here:
    https://github.com/opencv/opencv/wiki/ChangeLog

Note: this has explicitely not been added as a new graphics/opencv4 port, but
replaces the
      previous graphics/opencv[3] port. Again, to improve maintainability by not
giving ports
      the option to pick the "wrong one" - this leads however to some abandoned
ports being
      broken.

The port has been greatly simplified:
    * graphics/opencv-core which existed to enable ffmpeg to depend on opencv,
and vice versa
      has been removed. ffmpeg no longer can depend on opencv.
    * graphics/py-opencv has been integrated into graphics/opencv, the default
versions python
      bindings will be built unless the PYTHON option is explicitely turned off.
    * graphics/opencv-java has been integrated into graphics/opencv -- it is off
by default,
      but can be enabled by toggling the JAVA option -- there are no consumers
in the tree,
      so that option might go away in the future.
    * All the previous options have been removed and replaced by a (hopefully)
sane set of
      dependencies that make the port and package most usable for the majority
of consumers.
      - Please let me know if you think there are better defaults (i.e. anything
that is missing,
        or something that should not be dependet on).
      - If you think something should be added or removed, please open a bug
report.
      - If you think something should be added as an optional dependency, please
open a
        bug report (with a good reason [tm]).

The depending ports have been updated to work against opencv4, or marked broken.
    * Ports broken:
      - graphics/rubygem-objectdetect: OpenCV4 no longer ships opencv-1.0 API
      - graphics/p5-Image-ObjectDetect: OpenCV4 no longer ships opencv-1.0 API
      - graphics/gimp-gmic-plugin: OpenCV4 no longer ships opencv-1.0 API
    * Backports:
      - misc/visp:
https://github.com/lagadic/visp/commit/dfa7e4bd47c24cd2e631477e6afb18806733ff8a
      - multimedia/zart:
https://github.com/c-koi/zart/commit/6ca1964690afbbc78627d7c868a692401043a584,
                        
https://github.com/c-koi/zart/commit/d3a2931b1a07ec0322211f253468000363c4b6cb
    * Others:
      - misc/actiona: switch to pkgconfig 'opencv4'
      - multimedia/libav: drop opencv support
      - misc/darknet: already failed to build prior to the upgrade
      - math/saga: remove patching added to work against opencv3
Original commitRevision:563430 
Wednesday, 9 May 2018
20:27 swills search for other commits by this committer
Bump PORTREVISION on more opencv consumers due to opencv update
Original commitRevision:469466 
Friday, 14 Apr 2017
05:30 jbeich search for other commits by this committer
graphics/opencv: back out r423216 and r423063 (replaying r423316)

Renaming didn't help to unblock 3.x progress as co-existence with 2.x
was no less complex than simply fixing consumers. This commit also
restores directory-level history accidentally lost via git-svn.

PR:		210505
Pointy hat to:	jbeich (should've discussed first)
Original commitRevision:438490 
Monday, 3 Oct 2016
17:47 jbeich search for other commits by this committer
graphics/opencv: add suffix to make room for 3.x series

To avoid confusion, the main port is to track the latest release.
Whether to rename includes/libraries as well making it possible to
install 2.x and 3.x side-by-side remains to be investigated.

PR:		210505 (for tracking)
Inspired by:	PkgSrc
Original commitRevision:423216 
Thursday, 16 Apr 2015
08:05 kwm search for other commits by this committer
Bump after opencv pkg-config fix, so we actualy link agains opencv now.
Original commitRevision:384092 
Friday, 25 Apr 2014
12:46 bapt search for other commits by this committer
Bump portrevision after changes in gstreamer-plugins master port
Fix gstreamer-plugins-bad after changes in the master port
Original commitRevision:352119 
Wednesday, 4 Dec 2013
02:51 jhale search for other commits by this committer
- Update graphics/*opencv* to 2.4.7
- Revert options helpers to if statements since the OFF condition is not
  applied when OPTIONS_EXCLUDE is used
- Move most of the OpenCV modules from the graphics/opencv-core port to
  graphics/opencv, leaving opencv-core as just the bare minimum required
  for building ffmpeg with OpenCV support
- Install examples for python and java bindings
- Add new slave port graphics/opencv-java: Java bindings for OpenCV
- Bump PORTREVISION and make dependency adjustments and fixes for
  dependent ports
- Add UPDATING entry
Original commitRevision:335601 
Friday, 1 Nov 2013
22:14 kwm search for other commits by this committer
Stagify Gstreamer ports.
Fix build of gstreamer and gstreamer1 with glib 2.38.x [1].
Update gstreamer and gstreamer-plugins to new rules, USES=gmake pathfix,
new LIB_DEPENDS syntax.
Only pull in flex if base version is too old.
Be more selective for which OSVERSIONS we need gcc due to the clang bug.

Obtained from:	Gstreamer upstream [1]
Original commitRevision:332416 
Friday, 20 Sep 2013
18:35 bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
graphics)
Original commitRevision:327733 
Wednesday, 27 Jun 2012
12:35 kwm search for other commits by this committer
Update gstreamer ports.

Gstreamer to 0.10.36.
Gstreamer-plugins(-base) to 0.10.36.
Gstreamer-plugins-bad to 0.10.23.
Gstreamer-plugins-good to 0.10.31.
Gstreamer-plugins-ugly to 0.10.19.

Add hack to unbreak the flite plugin.
Original commit
Friday, 1 Jun 2012
05:26 dinoex search for other commits by this committer
- update png to 1.5.10
Original commit
Monday, 1 Aug 2011
08:14 kwm search for other commits by this committer
Unbreak the gstreamer opencv plugin by removing the version restriction.
Original commit
Thursday, 21 Jul 2011
22:49 pav search for other commits by this committer
- Mark BROKEN: unsatisfiable dependency
  ===>   Found opencv-2.3.0, but you need to upgrade to opencv<2.3.

Reported by:    pointyhat
Original commit
Wednesday, 29 Jun 2011
11:46 mm search for other commits by this committer
Update OpenCV to 2.3.0-rc
Original commit
Friday, 25 Feb 2011
10:58 kwm search for other commits by this committer
Update Gstreamer-plugins-base to 0.10.32
Update Gstreamer-plugins-good to 0.10.27
Update Gstreamer-plugins-bad to 0.10.21
Update Gstreamer-plugins-ugly to 0.10.17

Add flite plugin. plugin for the flite Speech synthesis engine.
Add opencv plugin. plugin for opencv Computer vision library.
Move vdpau plugin to a beter category.
Remove LOCAL master sites that haven't been updated for ages.
Check if Gstreamer (core) is recent enough.
Remove 6.x BROKEN line for the bad plugin.
Original commit

Number of commits found: 16